Create post request
Requests creation of a new post in the workspace the API key is scoped to. The action field controls whether it is published, scheduled or suggested.
POST
/post-requestsAuthorization
apiKey posts:read-writex-api-key<token>
In: header
Scope: posts:read-write
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
imageUrl?string
notificationSettings?
ctaLink?
publishDate?string
action?string
mediaImageUrls?array<string>
recipients?
author?
button?
text?string
header?string
curl -X POST "https://example.com/post-requests" \ -H "Content-Type: application/json" \ -d '{}'{ "body": { "requestId": "string" }, "state": "string"}{ "traceId": "string", "message": "string", "path": "string", "timestamp": "string", "statusCode": 0.1}{ "traceId": "string", "message": "string", "path": "string", "timestamp": "string", "statusCode": 0.1}